## urdfdom 0.2.10%2Bdfsg

=== debian/control ===
Source: urdfdom
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9), cmake,
	       libboost-dev,
	       libtinyxml-dev,
	       libconsole-bridge-dev,
	       liburdfdom-headers-dev 
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/urdfdom.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/urdfdom.git
Homepage: https://github.com/ros/urdfdom
XS-Testsuite: autopkgtest

Package: liburdfdom-model0.2
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: URDF DOM - model library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model library.

Package: liburdfdom-model-state0.2
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: URDF DOM - model state library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model state library.

Package: liburdfdom-sensor0.2
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: URDF DOM - sensor library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM sensor library.

Package: liburdfdom-world0.2
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: URDF DOM - world library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM world library.

Package: liburdfdom-dev
Architecture: any
Section: libdevel
Depends: libboost-dev,
	 libtinyxml-dev,
	 libconsole-bridge-dev,
	 liburdfdom-headers-dev,
	 liburdfdom-model0.2 (= ${binary:Version}),
	 liburdfdom-model-state0.2 (= ${binary:Version}),
	 liburdfdom-sensor0.2 (= ${binary:Version}),
	 liburdfdom-world0.2 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: URDF DOM - development files
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the development files (headers, pkg-config and
 CMake files).

Package: liburdfdom0.2-dbg
Architecture: any
Section: debug
Depends: liburdfdom-model0.2 (= ${binary:Version}),
	 liburdfdom-model-state0.2 (= ${binary:Version}),
	 liburdfdom-sensor0.2 (= ${binary:Version}),
	 liburdfdom-world0.2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: URDF DOM - debugging symbols
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the debugging symbols for the shared libraries.

Package: liburdfdom-tools
Architecture: any
Depends: liburdfdom-model0.2 (= ${binary:Version}),
	 liburdfdom-model-state0.2 (= ${binary:Version}),
	 liburdfdom-sensor0.2 (= ${binary:Version}),
	 liburdfdom-world0.2 (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Multi-Arch: foreign
Description: URDF DOM - tools
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains additional tools.
