## urdfdom 0.2.10+dfsg

=== debian/changelog ===
urdfdom (0.2.10+dfsg-1) unstable; urgency=low

  * Import new upstream version 0.2.10 (Closes: #714643).

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 09 Jan 2014 17:40:16 +0100
