## urdfdom 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 project (urdfdom CXX C)
 
 set (URDF_MAJOR_VERSION 0)
-set (URDF_MINOR_VERSION 2)
-set (URDF_PATCH_VERSION 10)
+set (URDF_MINOR_VERSION 3)
+set (URDF_PATCH_VERSION 0)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
