=== debian/changelog ===
urdfdom (0.3.0-1) unstable; urgency=medium

  * Import new upstream version 0.3.0
  * Remove soname patch (merged upstream)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 24 Mar 2014 19:52:36 +0000
