=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 	       libboost-dev,
 	       libtinyxml-dev,
 	       libconsole-bridge-dev,
-	       liburdfdom-headers-dev 
+	       liburdfdom-headers-dev (>= 0.3.0)
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/urdfdom.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/urdfdom.git
 Homepage: https://github.com/ros/urdfdom
 XS-Testsuite: autopkgtest
 
-Package: liburdfdom-model0.2
+Package: liburdfdom-model0.3
 Architecture: any
 Depends: ${shlibs:Depends},
 	 ${misc:Depends}
@@ -28,7 +28,7 @@
  .
  This package contains the URDF DOM model library.
 
-Package: liburdfdom-model-state0.2
+Package: liburdfdom-model-state0.3
 Architecture: any
 Depends: ${shlibs:Depends},
 	 ${misc:Depends}
@@ -41,7 +41,7 @@
  .
  This package contains the URDF DOM model state library.
 
-Package: liburdfdom-sensor0.2
+Package: liburdfdom-sensor0.3
 Architecture: any
 Depends: ${shlibs:Depends},
 	 ${misc:Depends}
@@ -54,7 +54,7 @@
  .
  This package contains the URDF DOM sensor library.
 
-Package: liburdfdom-world0.2
+Package: liburdfdom-world0.3
 Architecture: any
 Depends: ${shlibs:Depends},
 	 ${misc:Depends}
@@ -73,11 +73,11 @@
 Depends: libboost-dev,
 	 libtinyxml-dev,
 	 libconsole-bridge-dev,
-	 liburdfdom-headers-dev,
-	 liburdfdom-model0.2 (= ${binary:Version}),
-	 liburdfdom-model-state0.2 (= ${binary:Version}),
-	 liburdfdom-sensor0.2 (= ${binary:Version}),
-	 liburdfdom-world0.2 (= ${binary:Version}),
+	 liburdfdom-headers-dev (>= 0.3.0),
+	 liburdfdom-model0.3 (= ${binary:Version}),
+	 liburdfdom-model-state0.3 (= ${binary:Version}),
+	 liburdfdom-sensor0.3 (= ${binary:Version}),
+	 liburdfdom-world0.3 (= ${binary:Version}),
 	 ${misc:Depends}
 Multi-Arch: same
 Description: URDF DOM - development files
@@ -88,13 +88,13 @@
  This package contains the development files (headers, pkg-config and
  CMake files).
 
-Package: liburdfdom0.2-dbg
+Package: liburdfdom0.3-dbg
 Architecture: any
 Section: debug
-Depends: liburdfdom-model0.2 (= ${binary:Version}),
-	 liburdfdom-model-state0.2 (= ${binary:Version}),
-	 liburdfdom-sensor0.2 (= ${binary:Version}),
-	 liburdfdom-world0.2 (= ${binary:Version}),
+Depends: liburdfdom-model0.3 (= ${binary:Version}),
+	 liburdfdom-model-state0.3 (= ${binary:Version}),
+	 liburdfdom-sensor0.3 (= ${binary:Version}),
+	 liburdfdom-world0.3 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: URDF DOM - debugging symbols
@@ -106,10 +106,10 @@
 
 Package: liburdfdom-tools
 Architecture: any
-Depends: liburdfdom-model0.2 (= ${binary:Version}),
-	 liburdfdom-model-state0.2 (= ${binary:Version}),
-	 liburdfdom-sensor0.2 (= ${binary:Version}),
-	 liburdfdom-world0.2 (= ${binary:Version}),
+Depends: liburdfdom-model0.3 (= ${binary:Version}),
+	 liburdfdom-model-state0.3 (= ${binary:Version}),
+	 liburdfdom-sensor0.3 (= ${binary:Version}),
+	 liburdfdom-world0.3 (= ${binary:Version}),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
 Multi-Arch: foreign
