=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: override_dh_auto_clean override_dh_strip

%:
	dh  $@ --parallel

override_dh_auto_clean:
	rm -f cmake/pkgconfig/urdfdom.pc \
	      cmake/urdfdom-config.cmake
	dh_auto_clean --

override_dh_strip:
	dh_strip -a --dbg-package=liburdfdom0.3-dbg
