=== debian/changelog ===
urdfdom (0.4.1-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Imported Upstream version 0.4.0
  * Update patch. Submitted upstream
  * Imported Upstream version 0.4.1
  * Patch merged upstream
  * Migrate boost dependency to generic version
    (Closes: #812400)

  [ Anton Gladky ]
  * Apply "cme fix dpkg"

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 05 Feb 2016 00:56:01 +0000

urdfdom (0.3.0-2) unstable; urgency=medium

  [ Jose Luis Rivero]
  * Fix priorities
  * Added Testsuite autopkgtest
  * G++5 library migration: v5 postfix for all libraries
    (Closes: #796716)

  [ Anton Gladky ]
  * [5a66411] Do not migrate dbg-package.
  * [e5dcee8] Add Breaks/Replaces for GCC-5 migration.
  * [6cff03e] Apply cme fix dpkg.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 21 Nov 2015 01:10:09 +0100
