=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 override_dh_auto_clean:
 	rm -f cmake/pkgconfig/urdfdom.pc \
 	      cmake/urdfdom-config.cmake
+	find urdf_parser_py/ -name *.pyc -exec rm {} \;
 	dh_auto_clean --
 
 override_dh_strip:
-	dh_strip -a --dbg-package=liburdfdom0.3-dbg
+	dh_strip -a --dbg-package=liburdfdom0.4-dbg
