=== debian/tests/control ===
Tests: build
Depends: liburdfdom-dev, build-essential
