=== debian/changelog ===
urdfdom (1.0.0-2ubuntu0.1) bionic; urgency=medium

  * Patch to avoid truncating problems on non english locale systems (LP: #1817595)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Aug 2019 17:51:52 +0000

urdfdom (1.0.0-2build2) bionic; urgency=medium

  * No-change rebuild against libconsole-bridge0.4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Mar 2018 07:13:43 +0000

urdfdom (1.0.0-2build1) bionic; urgency=medium

  * No-change rebuild fixes a segfault in urdfdom-world on ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 30 Oct 2017 10:37:09 -0700

urdfdom (1.0.0-2) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Include Google copyright for gtest

  [ Jochen Sprickerhof ]
  * Install cmake files again
  * Team upload.

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 14 Sep 2016 19:02:02 +0200

urdfdom (1.0.0-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Imported Upstream version 1.0.0
  * Update control file
  * Update package name
  * Removed patch merged upstream

  [ Anton Gladky ]
  * Drop dbg-package
  * Do not override binary strip

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 22 Aug 2016 14:36:04 +0000
