=== debian/control ===
Source: urdfdom
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libtinyxml-dev,
               libconsole-bridge-dev,
               liburdfdom-headers-dev (>= 1.0.0-1ubuntu0.1),
               python-mock,
               python-yaml,
               python-lxml,
               python-pkg-resources
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/urdfdom.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/urdfdom.git
Homepage: https://github.com/ros/urdfdom

Package: liburdfdom-model
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - model library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model library.

Package: liburdfdom-model-state
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - model state library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model state library.

Package: liburdfdom-sensor
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - sensor library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM sensor library.

Package: liburdfdom-world
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - world library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM world library.

Package: liburdfdom-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libtinyxml-dev,
         libconsole-bridge-dev,
         liburdfdom-headers-dev (>= 1.0),
         liburdfdom-model (= ${binary:Version}),
         liburdfdom-model-state (= ${binary:Version}),
         liburdfdom-sensor (= ${binary:Version}),
         liburdfdom-world (= ${binary:Version}),
         ${misc:Depends}
Description: URDF DOM - development files
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the development files (headers, pkg-config and
 CMake files).

Package: liburdfdom-tools
Architecture: any
Multi-Arch: foreign
Depends: liburdfdom-model (= ${binary:Version}),
         liburdfdom-model-state (= ${binary:Version}),
         liburdfdom-sensor (= ${binary:Version}),
         liburdfdom-world (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - tools
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains additional tools.
