=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@ --parallel

override_dh_auto_clean:
	rm -f cmake/pkgconfig/urdfdom.pc \
	      cmake/urdfdom-config.cmake
	find urdf_parser/ -name *.pyc -exec rm {} \;
	dh_auto_clean --
