=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
     https://github.com/ros/urdfdom/tags .*/v?(\d\S*)\.tar\.gz
