=== urdf_parser/test/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,6 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/gtest
   ${CMAKE_CURRENT_SOURCE_DIR}
 )
-
-link_directories(
-  ${PROJECT_BINARY_DIR}/test
-)
-
 
 # Build gtest
 add_library(gtest STATIC gtest/src/gtest-all.cc)
@@ -20,7 +15,9 @@
 
 # unit test to fix geometry problems
 set(tests
-     urdf_unit_test.cpp)
+     urdf_double_convert.cpp
+     urdf_unit_test.cpp
+)
 
 #################################################
 # Build all the tests
@@ -41,5 +38,11 @@
            COMMAND ${BINARY_NAME}
                    --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}.xml)
 
-  set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240)
+  set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240 ENVIRONMENT LC_ALL=C)
+  
+  add_test(NAME    ${BINARY_NAME}_locale
+           COMMAND ${BINARY_NAME}
+                   --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}_locale.xml)
+
+  set_tests_properties(${BINARY_NAME}_locale PROPERTIES TIMEOUT 240 ENVIRONMENT LC_ALL=nl_NL.UTF-8)
 endforeach()
