=== debian/changelog ===
urdfdom (1.0.3-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove unnecessary 'Testsuite: autopkgtest' header.

  [ Jose Luis Rivero ]
  * New upstream version 1.0.3

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 25 Feb 2019 14:33:58 +0000
