=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: urdfdom
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: libs
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                cmake,
                libtinyxml-dev,
                libconsole-bridge-dev,
-               liburdfdom-headers-dev (>= 1.0.0-1ubuntu0.1),
+               liburdfdom-headers-dev (>= 1.0),
                python-mock,
                python-yaml,
                python-lxml,
                python-pkg-resources
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/urdfdom.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/urdfdom.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/urdfdom
+Vcs-Git: https://salsa.debian.org/science-team/urdfdom.git
 Homepage: https://github.com/ros/urdfdom
 
 Package: liburdfdom-model
