=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh  $@ --parallel
+	dh  $@
 
 override_dh_auto_clean:
 	rm -f cmake/pkgconfig/urdfdom.pc \
