## urdfdom 1.0.4%2Bds

=== urdf_parser/test/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 set(tests
      urdf_double_convert.cpp
      urdf_unit_test.cpp
+     urdf_version_test.cpp
 )
 
 #################################################
@@ -39,7 +40,7 @@
                    --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}.xml)
 
   set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240 ENVIRONMENT LC_ALL=C)
-  
+
   add_test(NAME    ${BINARY_NAME}_locale
            COMMAND ${BINARY_NAME}
                    --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}_locale.xml)
