=== debian/control ===
--- 
+++ 
@@ -9,11 +9,7 @@
                libtinyxml-dev,
                libconsole-bridge-dev,
                liburdfdom-headers-dev (>= 1.0),
-               python-mock,
-               python-yaml,
-               python-lxml,
-               python-pkg-resources
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/urdfdom
 Vcs-Git: https://salsa.debian.org/science-team/urdfdom.git
 Homepage: https://github.com/ros/urdfdom
