=== debian/changelog ===
urdfdom (1.0.4+ds-5build1) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 17:31:56 +0000

urdfdom (1.0.4+ds-5) unstable; urgency=medium

  * Add pkg-config to fix autopkgtest
    (Closes: #996360)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Oct 2021 13:38:48 +0000

urdfdom (1.0.4+ds-4) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Sep 2021 19:43:21 +0000

urdfdom (1.0.4+ds-3) experimental; urgency=medium

  * Add patch for console_bridge
    Goal is to make the transition to 1.x version of console_bridge

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Aug 2021 21:15:35 +0000

urdfdom (1.0.4+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop unneeded Python 2 build-dependency (Closes: #943296).

 -- Stuart Prescott <stuart@debian.org>  Mon, 10 Feb 2020 21:14:29 +1100

urdfdom (1.0.4+ds-1) unstable; urgency=medium

  * Fix travis filename
  * New upstream version 1.0.4

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 21 Jan 2020 16:58:52 +0000
