=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: urdfdom
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jose Luis Rivero <jrivero@osrfoundation.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 11),
